### Signal

# Gegl MetadataStore::unmapped

#### Declaration

    void
    unmapped (
      GeglMetadataStore* self,
      gchar* file_module,
      gchar* local_name,
      gpointer user_data
    )

#### Description [src]

`::unmapped` is emitted when a file module tries to look up an unmapped metadata name. When the handler returns a second attempt is made to look up the metadata.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`file_module`

  Type: `gchar*`

  The file module name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`local_name`

  Type: `gchar*`

  The unmapped metadata name as used by the file module.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.